a=10;
StepsPerCycle=100;
NumberCycles=100;

TimeStep=((2*pi)/f)/StepsPerCycle;
NumberPoints=NumberCycles*StepsPerCycle;
t=(0:1:NumberPoints-1)*SimStep;
SimTime=x(end);

y=3*sin(a*t);  % modify this line to get different waveforms


n=length(t)
FTy=fftshift(fft(y))*2/n;

  if rem(n,2)==1
    
    f_vect = ([-(n-1)/2:1:((n-1)/2)]/(SimStep*(n)));
    else
    f_vect = ([-n/2:1:(n/2)-1]/(SimStep*(n)));
  end
 
    fz=find(f_vect==0);
    FTy(fz)=FTy(fz)/2;
    
    
    figure(2)
    set (gcf, 'NumberTitle','off');
    set (gcf, 'name','Fourier Transform : frequency domain');
    subplot(3,1,1)
    plot(f_vect,real(FTy))
    title('real','FontSize',12)
    xlabel('Frequency (Hz)')
    %set(gca,'FontSize',18)
    %set(gca,'xlim',[-200 200])
    subplot(3,1,2)
    plot(f_vect,imag(FTy))
    title('imaginary','FontSize',12)
    xlabel('Frequency (Hz)')
    %set(gca,'xlim',[-200 200])
    subplot(3,1,3)
    plot(f_vect,abs(FTy))
    title('magnitude','FontSize',12)
    xlabel('Frequency (Hz)')
    %set(gca,'xlim',[-200 200])
    figure(1)
    set (gcf, 'NumberTitle','off');
    set (gcf, 'name','Waveform : time domain');
    plot(t,y)
    y1=max(y);
    y2=min(y);
    y3=max(y1,y2);
    set(gca,'ylim',[-1.1*y3 1.1*y3])
    xlabel('time (s)')
     